#!/bin/sh
#                                            
# Copyright (C) 2011 by Christian Ptzsch
#                                                                             
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#                                                                           
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#                                                                           
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,   
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER       
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

. common.sh

# some paths
PASSWD=/var/tmp/passwd
SHADOW=/var/tmp/shadow
GROUP=/var/tmp/group
RESOLV=/var/tmp/resolv.conf

echo "Set up system ..."
# set passwords
echo "root:${PASS}:0:0:root:/var/tmp/:/bin/sh" > "$PASSWD"
echo "boxusr80:any:1080:0:box user:/home-not-used:/bin/sh" >> "$PASSWD"
echo "boxusr80int:any:2080:0:box user:/home-not-used:/bin/sh" >> "$PASSWD"
echo "ftpuser:any:1000:0:ftp user:/var/media/ftp:/bin/sh" >> "$PASSWD"
echo "nobody:x:65534:65534:nobody:/:/bin/false" >> "$PASSWD"
echo "sshd:x:1001:1001:sshd:/:/bin/false" >> "$PASSWD"

echo "root:${PASS}:0:0:root:/var/tmp/:/bin/sh" > "$SHADOW"

# set groups
echo "root:x:0:" > "$GROUP"
echo "nobody:x:65534:" >> "$GROUP"
echo "sshd:x:1001:" >> "$GROUP"
           
# add fritz box itself in resolv.conf to resolv dhcp attached machines in your network
[ "x" != "x${ROUTER}" ] && echo "nameserver ${ROUTER}" >> "$RESOLV"

# symlink our bashrc
[ -e "${BASE}/.bashrc" ] && _lsymlnk_file "${BASE}/.bashrc"  /var/tmp/.bashrc

$BASE/install.sh
[ $? -eq 0 ] && $BASE/startssh.sh
